﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebHierarchicalDataGrid1.DataSource = DataProvider();

    }
    public class Person
    {

        private List<Address> _address;
        public int ID { get; set; }
        public string Fname { get; set; }
        public string Sname { get; set; }
        public List<Address> Addresses
        {   
            get { return _address != null ? _address : _address = new List<Address>(); }
        }

    }

    public class Address
    {
        public int ID { get; set; }
        public string Street { get; set; }
        public string City { get; set; }

    }

    private IList DataProvider()
    {
        ArrayList list = new ArrayList();
        list.Add(
            new Person() { ID = 1, Fname = "Rado", Sname = "Minchev" });
        list.Add(
           new Person() { ID = 2, Fname = "Vlado", Sname = "Zagorski" });
        list.Add(
           new Person() { ID = 3, Fname = "Alex", Sname = "Fidanov" });
        list.Add(
           new Person() { ID = 4, Fname = "Ivan", Sname = "Simeonov" });
        list.Add(
           new Person() { ID = 5, Fname = "Anton", Sname = "Staikov" });
        list.Add(
                   new Person() { ID = 6, Fname = "Dimi", Sname = "Dada" });
        list.Add(
                   new Person() { ID = 7, Fname = "Danko", Sname = "Valkov" });
        list.Add(
                   new Person() { ID = 1, Fname = "Cveti", Sname = "Georgieva" });


        foreach (Person person in list)
        {
            for (int i = 0; i < 20; i++)
            {
                person.Addresses.Add(
                              new Address() { ID = i + 1, Street = "Dianabad, 45 ", City = "Sofia" });
            }
        }

        return list;
    }
    protected void WebHierarchicalDataGrid1_RowsDeleting(object sender, Infragistics.Web.UI.GridControls.RowDeletingEventArgs e)
    {

    }
    protected void WebHierarchicalDataGrid1_RowUpdating(object sender, Infragistics.Web.UI.GridControls.RowUpdatingEventArgs e)
    {

    }
}